Subject: [PATCH 2.6.16.19 1/2] LARTC: trace control for netem: userspace

From: Rainer Baumann <[email-masked]>
Date: Tue, 22 Aug 2006 16:32:35 +0200

Trace Control for Netem: Emulate network properties such as
long-dependency and self-similarity of cross-traffic.

The directory tc/netem was split in two parts, one containing the
original distributions and the other the tools to generate trace files
as well as the program responsible for reading the delay values from the
trace file and sending them to the kernel (called flowseed).
If the trace option is set, netem starts the flowseedprocess and
initializes the kernel. To be able to kill the flowseedprocess, in case
the command was faulty, the PID of the flowseedprocess is passed to the
netem kernel module. If the kernel receives packet delay data from a not
registered PID, the Process will be killed. The flowseedprocess does not
send data to the kernel until the registration is completed.

Signed-off-by: Rainer Baumann <[email-masked]>

---

Patch for iproute2-2.6.16-060323: http://tcn.hypert.net/tcnIproute.patch